Skip to main content
GET
/
rbac
/
roles
/
{role_id}
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "name": "<string>",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "is_system": true,
  "slug": "<string>",
  "description": "<string>",
  "created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "scopes": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "resource": "<string>",
      "action": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "description": "<string>",
      "source_ref": "<string>",
      "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

role_id
string<uuid>
required

Response

Successful Response

Read schema for a role with its scopes.

id
string<uuid>
required
name
string
required
organization_id
string<uuid>
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
is_system
boolean
required
read-only

Whether this is a preset system role.

slug
string | null
description
string | null
created_by
string<uuid> | null
scopes
ScopeRead · object[]